<?php
date_default_timezone_set('America/Lima');

class cOrdencompra{
	function insertar($fec,$doc_id,$numdoc,$provid,$provnom,$tot,$est,$usu_id,$emp_id){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO tb_ordencompra(
		`tb_ordencompra_reg` ,
		`tb_ordencompra_fec` ,
		`tb_documento_id` ,
		`tb_ordencompra_numdoc` ,
		`tb_proveedor_id` ,
		`tb_proveedor_nom` ,
		`tb_ordencompra_tot` ,
		`tb_ordencompra_est` ,
		`tb_usuario_id`,
		`tb_empresa_id`
		)
		VALUES (
		'$now','$fec','$doc_id','$numdoc','$provid','$provnom','$tot','$est','$usu_id','$emp_id')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}



	function mostrar_compra($cat_id,$mar_id){
		$sql="SELECT * FROM tb_compradetalle cd
		inner join tb_compra c on c.tb_compra_id = cd.tb_compra_id
		inner join tb_documento d on d.tb_documento_id = c.tb_documento_id
		inner join tb_proveedor pro on pro.tb_proveedor_id = c.tb_proveedor_id
		where c.tb_compra_xac = '1' ";
		
		if($cat_id>0)$sql.=" and cd.tb_catalogo_id = '$cat_id' ";
		if($mar_id>0)$sql.=" and cd.tb_marca_id = '$mar_id' ";
		
		
		
		$sql.=" order by c.tb_compra_id asc ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
}


	function modificar($id, $pro_id, $pro_nom){
		$sql = "UPDATE tb_ordencompra SET  
		`tb_proveedor_id` =  '$pro_id',
		`tb_proveedor_nom` =  '$pro_nom'
		WHERE tb_ordencompra_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function modificar_detalle($id, $can){
		$sql = "UPDATE tb_ordencompradetalle SET  
		`tb_ordencompradetalle_can` = '$can'
		WHERE tb_ordencompradetalle_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function eliminar_detalle($id){
		$sql = "delete from tb_ordencompradetalle WHERE tb_ordencompradetalle_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function insertar_detalle($cat_cod,$cat_id,$mar_id,$can,$valuni,$ordcom_id){
		$sql = "INSERT INTO tb_ordencompradetalle(
		`tb_catalogo_cod` ,
		`tb_catalogo_id` ,
		`tb_marca_id`,		
		`tb_ordencompradetalle_can` ,
		`tb_ordencompradetalle_valuni` ,
		`tb_ordencompra_id`
		)
		VALUES (
		'$cat_cod','$cat_id', '$mar_id','$can','$valuni','$ordcom_id');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function ultimoInsert(){
		$sql = "select MAX(tb_ordencompra_id) as 'id' from tb_ordencompra"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_ordencompra oc
		INNER JOIN tb_documento d ON oc.tb_documento_id=d.tb_documento_id
		inner join tb_empresa em on em.tb_empresa_id = oc.tb_empresa_id
		INNER JOIN tb_proveedor p ON oc.tb_proveedor_id=p.tb_proveedor_id
		INNER JOIN tb_usuario u on u.tb_usuario_id = oc.tb_usuario_id
		WHERE tb_ordencompra_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_referencia($id){
		$sql="SELECT * from tb_compra c 
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id
		WHERE tb_compra_ordcomid='$id' and c.tb_compra_xac = 1 ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_referenciasuma($id){
		$sql="SELECT sum(tb_compradetalle_can) as 'sumaref' FROM tb_compradetalle cd
        inner join tb_compra c on c.tb_compra_id = cd.tb_compra_id
		INNER JOIN tb_documento d ON c.tb_documento_id=d.tb_documento_id
		inner join tb_empresa em on em.tb_empresa_id = c.tb_empresa_id
		INNER JOIN tb_proveedor p ON c.tb_proveedor_id=p.tb_proveedor_id
		WHERE tb_compra_ordcomid='$id' and c.tb_compra_xac = 1 ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrar_referencia_estado($comid){
		$sql="SELECT * FROM tb_kardexdetalle_codigointerno kdc
		inner join tb_productocaja pc on pc.tb_productocaja_id = kdc.tb_codigointerno_id
		inner join tb_kardexdetalle kd on kd.tb_kardexdetalle_id = kdc.tb_kardexdetalle_id
		inner join tb_kardex k on k.tb_kardex_id = kd.tb_kardex_id
		where k.tb_modulo_id = '4' and k.tb_kardex_idm = '$comid' and pc.tb_productocaja_nom = '--' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_ordencompra_detalle($ordcom_id){
		$sql="SELECT * from tb_ordencompradetalle cd 
		INNER JOIN tb_catalogo ct ON ct.tb_catalogo_id = cd.tb_catalogo_id
		INNER JOIN tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
		inner join tb_marca m on m.tb_marca_id = cd.tb_marca_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id = u.tb_unidad_id
		INNER JOIN tb_categoria c ON c.tb_categoria_id = pro.tb_categoria_id
		WHERE cd.tb_ordencompra_id='$ordcom_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrar_ordencompra_detallesuma($ordcom_id){
		$sql="SELECT sum(tb_ordencompradetalle_can) as 'sumacan' from tb_ordencompradetalle cd 
		INNER JOIN tb_catalogo ct ON ct.tb_catalogo_id = cd.tb_catalogo_id
		INNER JOIN tb_producto pro on pro.tb_producto_id = ct.tb_producto_id
		inner join tb_marca m on m.tb_marca_id = cd.tb_marca_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id = u.tb_unidad_id
		INNER JOIN tb_categoria c ON c.tb_categoria_id = pro.tb_categoria_id
		WHERE cd.tb_ordencompra_id='$ordcom_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_filtro($fec1,$fec2,$emp_id,$numdoc,$provid){
		$sql="SELECT * FROM tb_ordencompra oc
		left join tb_empresa em on em.tb_empresa_id = oc.tb_empresa_id
		left JOIN tb_proveedor p ON oc.tb_proveedor_id=p.tb_proveedor_id
		left JOIN tb_documento d ON oc.tb_documento_id=d.tb_documento_id
		WHERE oc.tb_ordencompra_xac = 1 ";
	
		if($numdoc!=""){
			$sql.=" AND oc.tb_ordencompra_numdoc like '%$numdoc%' ";
		}else{
			
		$sql.=" AND oc.tb_ordencompra_fec BETWEEN '$fec1' and '$fec2' ";
		
		if($emp_id>0)$sql.=" AND em.tb_empresa_id = '$emp_id' ";
		if($provid>0)$sql.=" AND oc.tb_proveedor_id = '$provid' ";
		
		}
		
		$sql.=" order by oc.tb_ordencompra_id desc ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
}

	

function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_ordencompra SET
		`tb_ordencompra_$campo` =  '$valor' 
		WHERE tb_ordencompra_id =$id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

}
?>